Create a fact-find schema [DEPRECATED: Use the v2 fact-find template routes] Deprecated Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v1/fact-find/schema

Headers

  • X-PLANNR-ACCOUNT-UUID string
application/json

Body

  • name string Required

    The name of the fact find schema. Must be unique.

  • introduction_html string

    The name of the fact find schema. Must be unique.

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • archived_at string
    • is_archived boolean
    • name string
    • introduction_html string
    • sections_count integer
    • public_url string
  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
POST /api/v1/fact-find/schema
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/fact-find/schema' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"name":"Mortgage Client Fact Find","introduction_html":"Welcome to our fact find! \u003cb\u003eYou can use some HTML too.\u003c/b\u003e"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "name": "Mortgage Client Fact Find",
  "introduction_html": "Welcome to our fact find! <b>You can use some HTML too.</b>"
}
Response examples (201)
[
  {
    "uuid": "6f67a1ea-f333-4fc6-b0c9-d7b5b848bd5e",
    "created_at": "2026-08-07T15:29:26+01:00",
    "updated_at": "2026-08-07T15:29:26+01:00",
    "archived_at": "2026-08-06T15:29:26+01:00",
    "is_archived": false,
    "name": "Default fact find",
    "introduction_html": "Welcome to our fact find! <b>You can use some HTML too.</b>",
    "sections_count": 5,
    "public_url": "https://api.plannrcrm.com/fact-find/15aa087e-5fe6-4735-8373-812ec9c1a091"
  }
]
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}